.\" Copyright (c) 2014 Vincent Bernat <bernat@debian.org>
.\"
.\" This file is licensed as Apache-2.0.
.\"
.Dd January 25, 2014
.Dt ngrok 8
.Os
.Sh NAME
.Nm nrgok
.Nd secure introspectable tunnels to localhost
.Sh SYNOPSIS
.Nm
.Op options
.Ar port
.Sh DESCRIPTION
.Nm
creates a tunnel from the public internet to a port on your
local machine. You can give this URL to anyone to allow them to try
out a web site you're developing without doing any deployment.
.Pp
It captures all traffic through the tunnel. It displays information
about the HTTP traffic for your inspection. Raw request/response
bytes, parsed headers and form data, JSON/XML syntax checking and more
are included. It can also replay requests.
.Pp
By default,
.Nm
will establish tunnel with
.Li ngrok.com
servers. They are free to use for basic functionalities. You can also
setup your own server by using
.Nm ngrokd .
.Pp
.Ar port
is either the local port to be forwarded or an IP address.
.Pp
To get available options, use
.Cm ngrok -h .
.Sh SEE ALSO
.Xr ngrokd 8
.Sh AUTHORS
.An -nosplit
The
.Nm
program was written by
.An Alan Shreve .
